r3_add_schannel() {
  r3_logger "Installing remote.it control channel."

  if [ $(systemctl is-active schannel) != 'active' ]; then
    r3_start_service schannel
  fi
}

r3_enable_instance() {
  systemctl enable $1
}

r3_start_instance() {
  systemctl restart $1
}

r3_disable_instance() {
  systemctl disable $1
}

r3_stop_instance() {
  systemctl stop $1
}

r3_restart_services() {
  systemctl reload-or-restart remoteit* --all
}

r3_start_service() {
  r3_enable_instance $1
  r3_start_instance $1
}

r3_stop_service() {
  r3_disable_instance $1
  r3_stop_instance $1
}
